Index: LMDZ5/trunk/libf/dynlonlat_phylonlat/phylmd/etat0dyn_netcdf.F90
===================================================================
--- LMDZ5/trunk/libf/dynlonlat_phylonlat/phylmd/etat0dyn_netcdf.F90	(revision 2335)
+++ LMDZ5/trunk/libf/dynlonlat_phylonlat/phylmd/etat0dyn_netcdf.F90	(revision 2336)
@@ -12,5 +12,5 @@
 !  routine (to be called after restget):
 !    CALL startget_dyn3d(varname, lon_in,  lat_in, pls, workvar,&
-!                          champ, lon_in2, lat_in2, ibar)
+!                          champ, lon_in2, lat_in2)
 !
 !    *  Variables should have the following names in the NetCDF files:
@@ -36,7 +36,5 @@
   USE ioipsl,         ONLY: flininfo, flinopen, flinget, flinclo, histclo
   USE assert_eq_m,    ONLY: assert_eq
-#ifdef CPP_PHYS
   USE indice_sol_mod, ONLY: epsfra
-#endif
   IMPLICIT NONE
 
@@ -54,11 +52,7 @@
   include "serre.h"
   REAL, SAVE :: deg2rad
-#ifndef CPP_PHYS
-  REAL, SAVE :: epsfra= 1.E-5
-#endif
   INTEGER,            SAVE      :: iml_dyn, jml_dyn, llm_dyn, ttm_dyn, fid_dyn
   REAL, ALLOCATABLE,  SAVE      :: lon_dyn(:,:), lat_dyn(:,:), levdyn_ini(:)
   CHARACTER(LEN=120), PARAMETER :: dynfname='ECDYN.nc'
-  CHARACTER(LEN=120), PARAMETER :: orofname='Relief.nc'
 
 CONTAINS
@@ -66,5 +60,5 @@
 !-------------------------------------------------------------------------------
 !
-SUBROUTINE etat0dyn_netcdf(ib, masque, phis)
+SUBROUTINE etat0dyn_netcdf(masque, phis)
 !
 !-------------------------------------------------------------------------------
@@ -73,20 +67,17 @@
 ! Notes:  1) This routine is designed to work for Earth
 !         2) If masque(:,:)/=-99999., masque and phis are already known.
-!         Otherwise: read it from ocean model file (coupled run) or compute it.
+!         Otherwise: compute it.
 !-------------------------------------------------------------------------------
   USE control_mod
-#ifdef CPP_PHYS
   USE regr_lat_time_coefoz_m, ONLY: regr_lat_time_coefoz
   USE regr_pr_o3_m,   ONLY: regr_pr_o3
   USE press_coefoz_m, ONLY: press_coefoz
-#endif
   USE exner_hyb_m,    ONLY: exner_hyb
   USE exner_milieu_m, ONLY: exner_milieu
-  USE infotrac, only: NQTOT, TNAME
+  USE infotrac,       ONLY: nqtot, tname
   USE filtreg_mod
   IMPLICIT NONE
 !-------------------------------------------------------------------------------
 ! Arguments:
-  LOGICAL, INTENT(IN)    :: ib                  !--- Barycentric interpolation
   REAL,    INTENT(INOUT) :: masque(iip1,jjp1)   !--- Land-ocean mask
   REAL,    INTENT(INOUT) :: phis  (iip1,jjp1)   !--- Ground geopotential
@@ -111,12 +102,7 @@
   deg2rad = pi/180.0
 
-! Initializations for tracers and filter
-!*******************************************************************************
-  CALL inifilr()
-
 ! Compute ground geopotential and possibly the mask.
 !*******************************************************************************
   masque_tmp(:,:)=masque(:,:)
-  CALL start_init_orog0(rlonv, rlatu, phis, masque_tmp)
   WRITE(fmt,"(i4,'i1)')")iip1 ; fmt='('//ADJUSTL(fmt)
   IF(ALL(masque==-99999.)) THEN                         !--- KEEP NEW MASK
@@ -132,5 +118,5 @@
 ! Compute psol AND tsol, knowing phis.
 !*******************************************************************************
-  CALL start_init_dyn(rlonv, rlatu, rlonu, rlatv, ib, phis, psol)
+  CALL start_init_dyn(rlonv, rlatu, rlonu, rlatv, phis, psol)
 
 ! Mid-levels pressure computation
@@ -147,10 +133,10 @@
 !*******************************************************************************
   uvent(:,:,:) = 0.0 ; vvent(:,:,:) = 0.0 ; t3d (:,:,:) = 0.0
-  CALL startget_dyn3d('u'   ,rlonu,rlatu,pls,y ,uvent,rlonv,rlatv,ib)
+  CALL startget_dyn3d('u'   ,rlonu,rlatu,pls,y ,uvent,rlonv,rlatv)
   CALL startget_dyn3d('v'   ,rlonv,rlatv,pls(:,:jjm,:),y(:,:jjm,:),vvent,      &
- &                           rlonu,rlatu(:jjm),ib)
-  CALL startget_dyn3d('t'   ,rlonv,rlatu,pls,y ,t3d ,rlonu,rlatv,ib)
+ &                           rlonu,rlatu(:jjm))
+  CALL startget_dyn3d('t'   ,rlonv,rlatu,pls,y ,t3d ,rlonu,rlatv)
   tpot(:,:,:)=t3d(:,:,:)
-  CALL startget_dyn3d('tpot',rlonv,rlatu,pls,pk,tpot,rlonu,rlatv,ib)
+  CALL startget_dyn3d('tpot',rlonv,rlatu,pls,pk,tpot,rlonu,rlatv)
 
   WRITE(lunout,*) 'T3D min,max:',MINVAL(t3d(:,:,:)),MAXVAL(t3d(:,:,:))
@@ -165,9 +151,8 @@
 !  WRITE(lunout,*) 'QSAT :',qsat(10,20,:)
   qd (:,:,:) = 0.0
-  CALL startget_dyn3d('q',rlonv,rlatu,pls,qsat,qd,rlonu,rlatv,ib)
+  CALL startget_dyn3d('q',rlonv,rlatu,pls,qsat,qd,rlonu,rlatv)
   ALLOCATE(q3d(iip1,jjp1,llm,nqtot)); q3d(:,:,:,:)=0.0 ; q3d(:,:,:,1)=qd(:,:,:)
   CALL flinclo(fid_dyn)
 
-#ifdef CPP_PHYS
 ! Parameterization of ozone chemistry:
 !*******************************************************************************
@@ -180,20 +165,5 @@
     q3d(:,:,:,i)=q3d(:,:,:,i)*48./ 29.                  !--- Mole->mass fraction         
   END IF
-
-#endif
   q3d(iip1,:,:,:)=q3d(1,:,:,:)
-
-! Intermediate computation
-!*******************************************************************************
-  CALL massdair(p3d,masse)
-  WRITE(lunout,*)' ALPHAX ',alphax
-  DO l=1,llm
-    xppn(:)=aire(1:iim,1   )*masse(1:iim,1   ,l)
-    xpps(:)=aire(1:iim,jjp1)*masse(1:iim,jjp1,l)
-    xpn=SUM(xppn)/apoln
-    xps=SUM(xpps)/apols
-    masse(:,1   ,l)=xpn
-    masse(:,jjp1,l)=xps
-  END DO
 
 ! Writing
@@ -215,10 +185,18 @@
   CALL geopot( ip1jmp1, tpot, pk, pks, phis, phi )
   WRITE(lunout,*)'sortie geopot'
-  CALL caldyn0( itau, uvent, vvent, tpot, psol, pk, phis,               &
-                phi,  w, time+iday-dayref)
+  CALL caldyn0( itau, uvent, vvent, tpot, psol, masse, pk, phis,               &
+                phi,  w, pbaru, pbarv, time+iday-dayref)
   WRITE(lunout,*)'sortie caldyn0'     
+#ifdef CPP_PARA
+  CALL dynredem0_loc( "start.nc", dayref, phis)
+#else
   CALL dynredem0( "start.nc", dayref, phis)
+#endif
   WRITE(lunout,*)'sortie dynredem0'
+#ifdef CPP_PARA
+  CALL dynredem1_loc( "start.nc", 0.0, vvent, uvent, tpot, q3d, masse, psol)
+#else
   CALL dynredem1( "start.nc", 0.0, vvent, uvent, tpot, q3d, masse, psol)
+#endif
   WRITE(lunout,*)'sortie dynredem1' 
   CALL histclo()
@@ -232,5 +210,5 @@
 !
 SUBROUTINE startget_dyn3d(var, lon_in,  lat_in,  pls,  workvar,&
-                        champ, lon_in2, lat_in2, ibar)
+                        champ, lon_in2, lat_in2)
 !-------------------------------------------------------------------------------
   IMPLICIT NONE
@@ -252,5 +230,4 @@
   REAL,             INTENT(IN)    :: lon_in2(:)       ! dim (iml)
   REAL,             INTENT(IN)    :: lat_in2(:)       ! dim (jml2)
-  LOGICAL,          INTENT(IN)    :: ibar
 !-------------------------------------------------------------------------------
 ! Local variables:
@@ -287,5 +264,5 @@
 !--- INTERPOLATE 3D FIELD IF NEEDED
   IF(var/='tpot') CALL start_inter_3d(TRIM(vname),lon_in,lat_in,lon_in2,      &
-                                                  lat_in2,pls,champ,ibar)
+                                                  lat_in2,pls,champ)
 
 !--- COMPUTE THE REQUIRED FILED
@@ -317,212 +294,5 @@
 !-------------------------------------------------------------------------------
 !
-SUBROUTINE start_init_orog0(lon_in,lat_in,phis,masque)
-!
-!-------------------------------------------------------------------------------
-  USE conf_dat_m, ONLY: conf_dat2d
-  IMPLICIT NONE
-!===============================================================================
-! Purpose:  Compute "phis" just like it would be in start_init_orog.
-!===============================================================================
-! Arguments:
-  REAL, INTENT(IN)    :: lon_in(:), lat_in(:)   ! dim (iml) (jml)
-  REAL, INTENT(INOUT) :: phis(:,:), masque(:,:) ! dim (iml,jml)
-!-------------------------------------------------------------------------------
-! Local variables:
-  CHARACTER(LEN=256) :: modname="start_init_orog0"
-  CHARACTER(LEN=256) :: title="RELIEF"
-  INTEGER            :: fid, llm_tmp,ttm_tmp, iml,jml, iml_rel,jml_rel, itau(1)
-  REAL               :: lev(1), date, dt
-  REAL, ALLOCATABLE  :: lon_rad(:), lon_ini(:), lon_rel(:,:), relief_hi(:,:)
-  REAL, ALLOCATABLE  :: lat_rad(:), lat_ini(:), lat_rel(:,:)
-!-------------------------------------------------------------------------------
-  iml=assert_eq(SIZE(lon_in),SIZE(phis,1),SIZE(masque,1),TRIM(modname)//" iml")
-  jml=assert_eq(SIZE(lat_in),SIZE(phis,2),SIZE(masque,2),TRIM(modname)//" jml")
-  IF(iml/=iip1) CALL abort_gcm(TRIM(modname),'iml/=iip1',1)
-  IF(jml/=jjp1) CALL abort_gcm(TRIM(modname),'jml/=jjp1',1)
-  pi=2.0*ASIN(1.0); deg2rad=pi/180.0
-  IF(ANY(phis/=-99999.)) RETURN                  !--- phis ALREADY KNOWN
-
-!--- HIGH RESOLUTION OROGRAPHY
-  CALL flininfo(orofname, iml_rel, jml_rel, llm_tmp, ttm_tmp, fid)
-
-  ALLOCATE(lat_rel(iml_rel,jml_rel),lon_rel(iml_rel,jml_rel))
-  CALL flinopen(orofname, .FALSE., iml_rel, jml_rel, llm_tmp, lon_rel, lat_rel,&
-                lev, ttm_tmp, itau, date, dt, fid)
-  ALLOCATE(relief_hi(iml_rel,jml_rel))
-  CALL flinget(fid, title, iml_rel, jml_rel, llm_tmp, ttm_tmp, 1, 1, relief_hi)
-  CALL flinclo(fid)
-
-!--- IF ANGLES ARE IN DEGREES, THEY ARE CONVERTED INTO RADIANS
-  ALLOCATE(lon_ini(iml_rel),lat_ini(jml_rel))
-  lon_ini(:)=lon_rel(:,1); IF(MAXVAL(lon_rel)>pi) lon_ini=lon_ini*deg2rad
-  lat_ini(:)=lat_rel(1,:); IF(MAXVAL(lat_rel)>pi) lat_ini=lat_ini*deg2rad
-
-!--- FIELDS ARE PROCESSED TO BE ON STANDARD ANGULAR DOMAINS
-  ALLOCATE(lon_rad(iml_rel),lat_rad(jml_rel))
-  CALL conf_dat2d(title, lon_ini, lat_ini, lon_rad, lat_rad, relief_hi, .FALSE.)
-  DEALLOCATE(lon_ini,lat_ini)
-
-!--- COMPUTING SURFACE GEOPOTENTIAL USING ROUTINE grid_noro0
-  WRITE(lunout,*)
-  WRITE(lunout,*)'*** Compute surface geopotential ***'
-
-!--- CALL OROGRAPHY MODULE (REDUCED VERSION) TO COMPUTE FIELDS
-  CALL grid_noro0(lon_rad, lat_rad, relief_hi, lon_in, lat_in, phis, masque)
-  phis = phis * 9.81
-  phis(iml,:) = phis(1,:)
-  DEALLOCATE(relief_hi,lon_rad,lat_rad)
-
-END SUBROUTINE start_init_orog0
-!
-!-------------------------------------------------------------------------------
-
-
-!-------------------------------------------------------------------------------
-!
-SUBROUTINE grid_noro0(xd,yd,zd,x,y,zphi,mask)
-!
-!===============================================================================
-! Purpose: Extracted from grid_noro to provide geopotential height for dynamics
-!          without any call to physics subroutines.
-!===============================================================================
-  IMPLICIT NONE 
-!-------------------------------------------------------------------------------
-! Arguments:
-  REAL, INTENT(IN)   :: xd(:), yd(:) !--- INPUT  COORDINATES     (imdp) (jmdp)
-  REAL, INTENT(IN)   :: zd(:,:)      !--- INPUT  FIELD           (imdp,jmdp)
-  REAL, INTENT(IN)   :: x(:), y(:)   !--- OUTPUT COORDINATES     (imar+1) (jmar)
-  REAL, INTENT(OUT)  :: zphi(:,:)    !--- GEOPOTENTIAL           (imar+1,jmar)
-  REAL, INTENT(INOUT):: mask(:,:)    !--- MASK                   (imar+1,jmar)
-!-------------------------------------------------------------------------------
-! Local variables:
-  CHARACTER(LEN=256) :: modname="grid_noro0"
-  REAL, ALLOCATABLE :: xusn(:), yusn(:)           ! dim (imdp+2*iext) (jmdp+2)
-  REAL, ALLOCATABLE :: zusn(:,:)                  ! dim (imdp+2*iext,jmdp+2)
-  REAL, ALLOCATABLE :: weight(:,:)                ! dim (imar+1,jmar)
-  REAL, ALLOCATABLE :: mask_tmp(:,:), zmea(:,:)   ! dim (imar+1,jmar)
-  REAL, ALLOCATABLE :: num_tot(:,:), num_lan(:,:) ! dim (imax,jmax)
-  REAL, ALLOCATABLE :: a(:), b(:)                 ! dim (imax)
-  REAL, ALLOCATABLE :: c(:), d(:)                 ! dim (jmax)
-  LOGICAL :: masque_lu
-  INTEGER :: i, ii, imdp, imar, iext
-  INTEGER :: j, jj, jmdp, jmar, nn
-  REAL    :: xpi, zlenx, weighx, xincr,  zbordnor, zmeanor, zweinor, zbordest
-  REAL    :: rad, zleny, weighy, masque, zbordsud, zmeasud, zweisud, zbordoue
-!-------------------------------------------------------------------------------
-  imdp=assert_eq(SIZE(xd),SIZE(zd,1),TRIM(modname)//" imdp")
-  jmdp=assert_eq(SIZE(yd),SIZE(zd,2),TRIM(modname)//" jmdp")
-  imar=assert_eq(SIZE(x),SIZE(zphi,1),SIZE(mask,1),TRIM(modname)//" imar")-1
-  jmar=assert_eq(SIZE(y),SIZE(zphi,2),SIZE(mask,2),TRIM(modname)//" jmar")
-  IF(imar/=iim)   CALL abort_gcm(TRIM(modname),'imar/=iim'  ,1)
-  IF(jmar/=jjm+1) CALL abort_gcm(TRIM(modname),'jmar/=jjm+1',1)
-  iext=imdp/10
-  xpi = ACOS(-1.)
-  rad = 6371229.
-
-!--- ARE WE USING A READ MASK ?
-  masque_lu=ANY(mask/=-99999.); IF(.NOT.masque_lu) mask=0.0
-  WRITE(lunout,*)'Masque lu: ',masque_lu
-
-!--- EXTENSION OF THE INPUT DATABASE TO PROCEED COMPUTATIONS AT BOUNDARIES:
-  ALLOCATE(xusn(imdp+2*iext))
-  xusn(1     +iext:imdp  +iext)=xd(:)
-  xusn(1          :       iext)=xd(1+imdp-iext:imdp)-2.*xpi
-  xusn(1+imdp+iext:imdp+2*iext)=xd(1          :iext)+2.*xpi
-
-  ALLOCATE(yusn(jmdp+2))
-  yusn(1       )=yd(1)   +(yd(1)   -yd(2))
-  yusn(2:jmdp+1)=yd(:)
-  yusn(  jmdp+2)=yd(jmdp)+(yd(jmdp)-yd(jmdp-1))
-
-  ALLOCATE(zusn(imdp+2*iext,jmdp+2))
-  zusn(1       +iext:imdp  +iext,2:jmdp+1)=zd  (:                   ,     :)
-  zusn(1            :       iext,2:jmdp+1)=zd  (imdp-iext+1:imdp    ,     :)
-  zusn(1+imdp  +iext:imdp+2*iext,2:jmdp+1)=zd  (1:iext              ,     :)
-  zusn(1            :imdp/2+iext,       1)=zusn(1+imdp/2:imdp  +iext,     2)
-  zusn(1+imdp/2+iext:imdp+2*iext,       1)=zusn(1       :imdp/2+iext,     2)
-  zusn(1            :imdp/2+iext,  jmdp+2)=zusn(1+imdp/2:imdp  +iext,jmdp+1)
-  zusn(1+imdp/2+iext:imdp+2*iext,  jmdp+2)=zusn(1       :imdp/2+iext,jmdp+1)
-
-!--- COMPUTE LIMITS OF MODEL GRIDPOINT AREA (REGULAR GRID)
-  ALLOCATE(a(imar+1),b(imar+1))
-  b(1:imar)=(x(1:imar  )+ x(2:imar+1))/2.0
-  b(imar+1)= x(  imar+1)+(x(  imar+1)-x(imar))/2.0
-  a(1)=x(1)-(x(2)-x(1))/2.0
-  a(2:imar+1)= b(1:imar)
-
-  ALLOCATE(c(jmar),d(jmar))
-  d(1:jmar-1)=(y(1:jmar-1)+ y(2:jmar))/2.0
-  d(  jmar  )= y(  jmar  )+(y(  jmar)-y(jmar-1))/2.0
-  c(1)=y(1)-(y(2)-y(1))/2.0
-  c(2:jmar)=d(1:jmar-1)
-
-!--- INITIALIZATIONS:
-  ALLOCATE(weight(imar+1,jmar)); weight(:,:)= 0.0
-  ALLOCATE(zmea  (imar+1,jmar)); zmea  (:,:)= 0.0
-
-!--- SUMMATION OVER GRIDPOINT AREA
-  zleny=xpi/REAL(jmdp)*rad
-  xincr=xpi/REAL(jmdp)/2.
-  ALLOCATE(num_tot(imar+1,jmar)); num_tot(:,:)=0.
-  ALLOCATE(num_lan(imar+1,jmar)); num_lan(:,:)=0.
-  DO ii = 1, imar+1
-    DO jj = 1, jmar
-      DO j = 2,jmdp+1 
-        zlenx  =zleny  *COS(yusn(j))
-        zbordnor=(xincr+c(jj)-yusn(j))*rad
-        zbordsud=(xincr-d(jj)+yusn(j))*rad
-        weighy=AMAX1(0.,AMIN1(zbordnor,zbordsud,zleny))
-        IF(weighy/=0) THEN
-          DO i = 2, imdp+2*iext-1
-            zbordest=(xusn(i)-a(ii)+xincr)*rad*COS(yusn(j))
-            zbordoue=(b(ii)+xincr-xusn(i))*rad*COS(yusn(j))
-            weighx=AMAX1(0.,AMIN1(zbordest,zbordoue,zlenx))
-            IF(weighx/=0)THEN
-              num_tot(ii,jj)=num_tot(ii,jj)+1.0
-              IF(zusn(i,j)>=1.)num_lan(ii,jj)=num_lan(ii,jj)+1.0
-              weight(ii,jj)=weight(ii,jj)+weighx*weighy
-              zmea  (ii,jj)=zmea  (ii,jj)+zusn(i,j)*weighx*weighy !--- MEAN
-            END IF
-          END DO
-        END IF
-      END DO
-    END DO
-  END DO
-
-!--- COMPUTE PARAMETERS NEEDED BY LOTT & MILLER (1997) AND LOTT (1999) SSO SCHEME
-  IF(.NOT.masque_lu) THEN
-    WHERE(weight(:,1:jmar-1)/=0.0) mask=num_lan(:,:)/num_tot(:,:)
-  END IF
-  nn=COUNT(weight(:,1:jmar-1)==0.0)
-  IF(nn/=0) WRITE(lunout,*)'Problem with weight ; vanishing occurrences: ',nn
-  WHERE(weight/=0.0) zmea(:,:)=zmea(:,:)/weight(:,:)
-
-!--- MASK BASED ON GROUND MAXIMUM, 10% THRESHOLD (<10%: SURF PARAMS MEANINGLESS)
-  ALLOCATE(mask_tmp(imar+1,jmar)); mask_tmp(:,:)=0.0
-  WHERE(mask>=0.1) mask_tmp = 1.
-  WHERE(weight(:,:)/=0.0)
-    zphi(:,:)=mask_tmp(:,:)*zmea(:,:)
-    zmea(:,:)=mask_tmp(:,:)*zmea(:,:)
-  END WHERE
-  WRITE(lunout,*)'  MEAN ORO:' ,MAXVAL(zmea)
-
-!--- Values at poles
-  zphi(imar+1,:)=zphi(1,:)
-
-  zweinor=SUM(weight(1:imar,   1),DIM=1)
-  zweisud=SUM(weight(1:imar,jmar),DIM=1)
-  zmeanor=SUM(weight(1:imar,   1)*zmea(1:imar,   1),DIM=1)
-  zmeasud=SUM(weight(1:imar,jmar)*zmea(1:imar,jmar),DIM=1)
-  zphi(:,1)=zmeanor/zweinor; zphi(:,jmar)=zmeasud/zweisud
-
-END SUBROUTINE grid_noro0
-!
-!-------------------------------------------------------------------------------
-
-
-!-------------------------------------------------------------------------------
-!
-SUBROUTINE start_init_dyn(lon_in,lat_in,lon_in2,lat_in2,ibar,zs,psol)
+SUBROUTINE start_init_dyn(lon_in,lat_in,lon_in2,lat_in2,zs,psol)
 !
 !-------------------------------------------------------------------------------
@@ -534,5 +304,4 @@
   REAL,    INTENT(IN)  :: lon_in (:),  lat_in (:)    ! dim (iml) (jml)
   REAL,    INTENT(IN)  :: lon_in2(:),  lat_in2(:)    ! dim (iml) (jml2)
-  LOGICAL, INTENT(IN)  :: ibar
   REAL,    INTENT(IN)  :: zs  (:,:)                  ! dim (iml,jml)
   REAL,    INTENT(OUT) :: psol(:,:)                  ! dim (iml,jml)
@@ -606,7 +375,7 @@
     ALLOCATE(field(iml,jml))
     CALL flinget(fid_dyn, title, iml_dyn,jml_dyn, tllm, ttm_dyn, 1, 1, var_ana)
-    CALL conf_dat2d(title, lon_ini, lat_ini, lon_rad, lat_rad, var_ana, ibar)
-    CALL interp_startvar(title, ibar, .TRUE., lon_rad, lat_rad, var_ana,       &
-                              lon_in, lat_in, lon_in2, lat_in2, field)
+    CALL conf_dat2d(title, lon_ini, lat_ini, lon_rad, lat_rad, var_ana, .TRUE.)
+    CALL interp_startvar(title, .TRUE., lon_rad,lat_rad, var_ana,              &
+                                        lon_in, lat_in, lon_in2, lat_in2, field)
   ELSE IF(SIZE(field)/=SIZE(z)) THEN
     msg='The '//TRIM(msg)//' field we have does not have the right size'
@@ -625,5 +394,5 @@
 !-------------------------------------------------------------------------------
 !
-SUBROUTINE start_inter_3d(var,lon_in,lat_in,lon_in2,lat_in2,pls_in,var3d,ibar)
+SUBROUTINE start_inter_3d(var,lon_in,lat_in,lon_in2,lat_in2,pls_in,var3d)
 !
 !-------------------------------------------------------------------------------
@@ -639,5 +408,4 @@
   REAL,    INTENT(IN)  :: pls_in(:,:,:)           ! dim (iml,jml,lml)
   REAL,    INTENT(OUT) :: var3d (:,:,:)           ! dim (iml,jml,lml)
-  LOGICAL, INTENT(IN)  :: ibar
 !-------------------------------------------------------------------------------
 ! Local variables:
@@ -667,5 +435,5 @@
   ALLOCATE(lon_rad(iml_dyn), lat_rad(jml_dyn), lev_dyn(llm_dyn))
   CALL conf_dat3d(var, lon_ini, lat_ini, levdyn_ini,                           &
-                       lon_rad, lat_rad, lev_dyn, var_ana3d, ibar)
+                       lon_rad, lat_rad, lev_dyn, var_ana3d, .TRUE.)
   DEALLOCATE(lon_ini, lat_ini)
 
@@ -673,5 +441,5 @@
   ALLOCATE(var_tmp3d(iml,jml,llm_dyn))
   DO il = 1,llm_dyn
-    CALL interp_startvar(var,ibar,il==1,lon_rad,lat_rad,var_ana3d(:,:,il),     &
+    CALL interp_startvar(var,il==1,lon_rad,lat_rad,var_ana3d(:,:,il),          &
                           lon_in,lat_in,lon_in2,lat_in2,var_tmp3d(:,:,il))
   END DO
@@ -708,14 +476,13 @@
 !-------------------------------------------------------------------------------
 !
-SUBROUTINE interp_startvar(nam,ibar,ibeg,lon,lat,vari,lon1,lat1,lon2,lat2,varo)
+SUBROUTINE interp_startvar(nam,ibeg,lon,lat,vari,lon1,lat1,lon2,lat2,varo)
 !
 !-------------------------------------------------------------------------------
   USE inter_barxy_m, ONLY: inter_barxy
-  USE grid_atob_m,   ONLY: grille_m
   IMPLICIT NONE
 !-------------------------------------------------------------------------------
 ! Arguments:
   CHARACTER(LEN=*), INTENT(IN)  :: nam
-  LOGICAL,          INTENT(IN)  :: ibar, ibeg
+  LOGICAL,          INTENT(IN)  :: ibeg
   REAL,             INTENT(IN)  :: lon(:), lat(:)   ! dim (ii) (jj)
   REAL,             INTENT(IN)  :: vari(:,:)        ! dim (ii,jj)
@@ -735,14 +502,10 @@
   j2=SIZE(lat2)
   ALLOCATE(vtmp(i1-1,j1))
-  IF(ibar) THEN
-    IF(ibeg.AND.prt_level>1) THEN
-      WRITE(lunout,*)"---------------------------------------------------------"
-      WRITE(lunout,*)"$$$ Interpolation barycentrique pour "//TRIM(nam)//" $$$"
-      WRITE(lunout,*)"---------------------------------------------------------"
-    END IF
-    CALL inter_barxy(lon, lat(:jj-1), vari, lon2(:i1-1), lat2, vtmp)
-  ELSE
-    CALL grille_m   (lon, lat,        vari, lon1,        lat1, vtmp)
-  END IF
+  IF(ibeg.AND.prt_level>1) THEN
+    WRITE(lunout,*)"---------------------------------------------------------"
+    WRITE(lunout,*)"$$$ Interpolation barycentrique pour "//TRIM(nam)//" $$$"
+    WRITE(lunout,*)"---------------------------------------------------------"
+  END IF
+  CALL inter_barxy(lon, lat(:jj-1), vari, lon2(:i1-1), lat2, vtmp)
   CALL gr_int_dyn(vtmp, varo, i1-1, j1)
 
